/* --- Styles Généraux du Footer --- */
.site-footer {
    /*Box Model*/
    margin: 0;
    padding: 4rem 1rem 0.25rem 1rem;
    background-color: #163550;
    color: #ffffff;
    font-size: var(--fs-md-custom);
}

.footer-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    margin: 0 auto;
}

/* --- Colonnes --- */

.footer-column h3 {
    margin-bottom: clamp(1rem, 0.576rem + 1.079vw, 2rem);
    font-weight: 600;
}

.footer-column ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-column ul li {
    margin-bottom: clamp(1rem, 0.788rem + 0.539vw, 1.5rem);
}

.footer-column a {
    color: #ffffff!important;
    text-decoration: none;
    transition: color 0.3s;

    &:hover {
        color: #adadad!important;

    }
}


/* --- Branding & Logo --- */
.branding {
    width: 100%;
    max-width: 22.5rem;
}

.footer-logo {
    display: block;
    width: 24rem;
    height: auto;
    margin-bottom: 1.5rem;
}

.footer-description {
    width: fit-content;
    line-height: 1.6;
    color: #ffffff;
}

/* --- Section Contact --- */
.contact-items {
    display: grid;
    grid-template-columns: 24px 1fr;
    gap: clamp(1rem, 0.788rem + 0.539vw, 1.5rem);

}

.contact-items>* {
    margin: auto 0;
}


/* --- Bottom Bar --- */
.footer-bottom {
    margin-top: var(--sp-6);
    margin-bottom: var(--sp-5);
    /*Texte*/
    text-align: center;
    font-size: var(--fs-sm);
    color: #ffffff;

    p {
        margin: 0;
        padding-top: var(--sp-3);
    }

    /*Sous classe*/
    hr {
        width: 100%;
        height: 1.5px;
    }

}

/* --- Responsive : Tablette et Desktop --- */
@media (min-width: 768px) {
    .footer-container {
        flex-direction: row;
        justify-content: space-between;
    }

    .footer-column {
        flex: 1;
    }

    .branding {
        flex: 1.5;
    }
}

@media (min-width: 1024px) {
    .footer-container {
        display: grid;
        grid-template-columns: 2fr 0.5fr 1.10fr;
        gap: 3rem;
    }

    .branding {
        width: 100%;
        max-width: 26rem
    }
}